import { defaultLayoutNodeState, normalizeLayoutProps } from "./styling";
/**
 * Basic text node. The only way to create text. It cannot have children.
 */
export class Text {
    text;
    props;
    testID;
    next = null;
    prev = null;
    firstChild = null;
    lastChild = null;
    parent = null;
    /**
     * Should always be normalized.
     */
    _style;
    _state = { ...defaultLayoutNodeState };
    constructor(text, props) {
        this.text = text;
        this.props = props;
        this.testID = props.testID ?? null;
        this._style = normalizeLayoutProps(props.style);
    }
}
//# sourceMappingURL=Text.js.map