import { Text } from "../layout/Text";
import { View } from "../layout/View";
export class Button extends View {
    constructor(props) {
        // Put default styles here.
        const mergedStyle = { backgroundColor: "#ffd000", ...props.style };
        super({ ...props, style: mergedStyle });
        this.add(new Text(props.label, {
            lookups: props.lookups,
            style: {
                color: "#FFFFFF",
                fontName: "InterBold",
                fontSize: 14,
                ...props.textStyle,
            },
        }));
    }
}
//# sourceMappingURL=Button.js.map