import type { TTF } from "./parseTTF";
import type { Lookups } from "./types";
/**
 * This is generally extension of the font parsing process.
 *
 * @param fontFiles an array of font files to parse.
 * @param options optional parameters.
 * @returns a set of lookups for the font atlas.
 */
export declare function prepareLookups(fontFiles: Array<{
    buffer: ArrayBuffer;
    name: string;
    ttf: TTF;
}>, options?: {
    alphabet?: string;
    fontSize?: number;
}): Lookups;
