export var UserEventType;
(function (UserEventType) {
    UserEventType[UserEventType["MouseClick"] = 0] = "MouseClick";
    UserEventType[UserEventType["MouseDown"] = 1] = "MouseDown";
    UserEventType[UserEventType["MouseUp"] = 2] = "MouseUp";
    UserEventType[UserEventType["MouseMove"] = 3] = "MouseMove";
    UserEventType[UserEventType["MouseEnter"] = 4] = "MouseEnter";
    UserEventType[UserEventType["MouseLeave"] = 5] = "MouseLeave";
    UserEventType[UserEventType["Scroll"] = 6] = "Scroll";
    UserEventType[UserEventType["KeyDown"] = 7] = "KeyDown";
    UserEventType[UserEventType["KeyUp"] = 8] = "KeyUp";
    UserEventType[UserEventType["KeyPress"] = 9] = "KeyPress";
    UserEventType[UserEventType["Focus"] = 10] = "Focus";
    UserEventType[UserEventType["Blur"] = 11] = "Blur";
    UserEventType[UserEventType["InputChange"] = 12] = "InputChange";
    UserEventType[UserEventType["Layout"] = 13] = "Layout";
})(UserEventType || (UserEventType = {}));
export function isMouseEvent(event) {
    return "position" in event;
}
export function isKeyboardEvent(event) {
    return "character" in event;
}
//# sourceMappingURL=eventTypes.js.map